# Created by pyp2rpm-3.3.2
%global pypi_name progressbar2

Name:           python-%{pypi_name}
Version:        3.34.3
Release:        1%{?dist}
Summary:        A Python Progressbar library to provide visual (yet text based) progress to long running operations

License:        BSD
URL:            https://github.com/WoLpH/python-progressbar
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest-runner) >= 2.8
BuildRequires:  python3dist(setuptools)

%description
 Text progress bar library for Python. Travis status: Coverage:
**************** **************************************************************
****************** ************************************************************

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(changelog)
Requires:       python3dist(flake8)
Requires:       python3dist(pytest) >= 2.8
Requires:       python3dist(pytest-cache)
Requires:       python3dist(pytest-cov)
Requires:       python3dist(pytest-flakes)
Requires:       python3dist(pytest-pep8)
Requires:       python3dist(python-utils) >= 2.1.0
Requires:       python3dist(sphinx)
Requires:       python3dist(sphinx) >= 1.5.0
%description -n python3-%{pypi_name}
 Text progress bar library for Python. Travis status: Coverage:
**************** **************************************************************
****************** ************************************************************


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/progressbar
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Thu Oct 18 2018 mockbuilder - 3.34.3-1
- Initial package.